=== debian/changelog ===
vip-manager (0.6+ds-3) unstable; urgency=medium

  * debian/vip-manager@.service: Fix quoting. 

 -- Michael Banck <michael.banck@credativ.de>  Fri, 15 Nov 2019 12:06:53 +0100

vip-manager (0.6+ds-2) unstable; urgency=medium

  * debian/README.Debian, debian/design.md: Removed.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 13 Nov 2019 14:07:15 +0100

vip-manager (0.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control (Build-Depends): Added golang-github-json-iterator-go-dev,
    golang-github-modern-go-concurrent-dev, golang-github-modern-go-reflect2-dev
    and golang-gopkg-yaml.v2-dev. Removed golang-github-ugorji-go-msgpack-dev.
  * debian/copyright (Files-Excluded): Added vendor/gopkg.in,
    vendor/github.com/json-iterator and vendor/github.com/modern-go. Removed
    vendor/github.com/ugorji.
  * debian/watch: Fix filenamemangle from patroni to vip-manager. Add
    dversionmangle and repacksuffix options for +ds upstream version repack
    suffix support.
  * debian/patches/service_file.patch: Updated.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 16 Oct 2019 09:00:40 +0200

vip-manager (0.4+git20180605-1) unstable; urgency=medium

  * Initial upload.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 18 Jul 2019 16:24:57 -0300
