=== debian/control ===
Source: vip-manager
Section: net
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>
Build-Depends:
 debhelper (>= 10),
 dh-golang,
 golang-any,
 golang-etcd-server-dev,
 golang-github-coreos-go-semver-dev,
 golang-github-hashicorp-consul-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mitchellh-go-homedir-dev,
 golang-github-modern-go-concurrent-dev,
 golang-github-modern-go-reflect2-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sys-dev,
 golang-gopkg-yaml.v2-dev
Standards-Version: 4.3.0
X-Python3-Version: >= 3.5
Homepage: https://github.com/cybertec-postgresql/vip-manager
Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager
Vcs-Git: https://salsa.debian.org/postgresql/vip-manager.git
XS-Go-Import-Path: github.com/cybertec-postgresql/vip-manager

Package: vip-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: patroni
Description: Patroni virtual IP manager
 This package needs to be installed and configured on all nodes of a Patroni
 PostgreSQL cluster. Given a Patroni namespace and scope in etcd or consul,
 the vip-manager service monitors that namespace for leader changes due to
 failovers or switchovers and adds or removes the VIP on the local node
 accordingly.
