=== debian/changelog ===
vip-manager (1.0.1-5) unstable; urgency=medium

  * debian/patches/select_valid_net_device.patch: New patch, makes the
    behaviour test try harder to select a valid network device, taken from
    upstream commit cd9ab29 (Closes: #993620).
  * debian/copyright: Removed no longer present vendor/ sections.

 -- Michael Banck <michael.banck@credativ.de>  Sun, 23 Jan 2022 11:35:21 +0100

vip-manager (1.0.1-4) unstable; urgency=medium

  * debian/patches/service_file.patch: Fix command-line arguments to use two
    dashes for long options, instead of one and update options to their 1.0
    names. (Closes: #990119).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 18 Jul 2021 18:52:20 +0200

vip-manager (1.0.1-3) unstable; urgency=medium

  * debian/tests/test: New wrapper script around the upstream test script in
    order to set ETCD_UNSUPPORTED_ARCH on older distributions.
  * debian/tests/control: Switch to wrapper script.

 -- Michael Banck <michael.banck@credativ.de>  Thu, 15 Apr 2021 18:56:03 +0200

vip-manager (1.0.1-2) unstable; urgency=medium

  * debian/patches/behaviour_test.patch: New patch, fixes behaviour_test.sh up
    so that it can be run as autopkgtest.
  * debian/tests/control: New file, added autopktests.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 14 Apr 2021 19:17:00 +0200

vip-manager (1.0.1-1) unstable; urgency=medium

  * New upstream release. New features include:
   + Add TLS support for etcd connections
   + Enable TLS configuration from cli flags and from yaml file
   + Improved gratuitous arp request and reply sending
   + Unified config handling - flags, YAML file, environment variables
   + Add verbose logging to Hetzner manager code

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add missing ${misc:Built-Using} to Built-Using on vip-manager.
  * Update standards version to 4.5.0, no changes needed.

  [ Michael Banck ]
  * debian/copyright (Files-Excluded): Removed, no longer needed.
  * debian/control (Build-Depends): Added golang-github-mdlayher-arp-dev.
  * debian/patches/disable_windows_build.patch: New patch, skips
    Windows-specific code.
  * debian/rules (DH_GOLANG_EXCLUDES): New variable, skips the Windows-specific
    iphlpapi directory.
  * debian/patches/service_file.patch: Updated.
  * debian/vip.in: Updated.
  * debian/vip-manager@.service: Remove command-line arguments from ExecStart
    directive.

 -- Michael Banck <michael.banck@credativ.de>  Wed, 13 Jan 2021 20:37:40 +0100
