=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
+
+export DH_GOLANG_EXCLUDES := iphlpapi
 
 %:
 	dh $@ --buildsystem=golang --with=golang
