=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vip-manager-$1\.tar\.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+ds \
  https://github.com/cybertec-postgresql/vip-manager/tags .*/v?(\d\S+)\.tar\.gz
