=== debian/changelog ===
vip-manager (1.0.2-10) unstable; urgency=medium

  * debian/tests: Ignore errors when stopping the system etcd.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Aug 2025 15:11:11 +0000

vip-manager (1.0.2-9) unstable; urgency=medium

  * Update import paths for etcd v3.5 (Closes: #1078322)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 23 Aug 2024 11:42:14 +0200

vip-manager (1.0.2-8) unstable; urgency=medium

  * Install systemd units using dh_installsystemd only. Thanks to Helmut
    Grohne for the patch! (Closes: #1054479)
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Oct 2023 12:16:59 +0000

vip-manager (1.0.2-7) unstable; urgency=medium

  * debian/watch: Look for version 1 only.
  * debian/tests: Set ETCD_UNSUPPORTED_ARCH on s390x. (Required on
    buster/focal.)

 -- Christoph Berg <myon@debian.org>  Wed, 18 Oct 2023 17:25:20 +0200

vip-manager (1.0.2-6) unstable; urgency=medium

  * debian/control (Uploaders): Updated.

 -- Michael Banck <mbanck@debian.org>  Fri, 17 Feb 2023 14:03:27 +0100

vip-manager (1.0.2-5) unstable; urgency=medium

  [ Michael Banck ]
  * debian/patches/get_dev: Make sure the interface is up. 

  [ Shengjing Zhu ]
  * debian/tests/test: Ensure no etcd server is running before acceptance
    tests (Closes: #1027708).

 -- Michael Banck <michael.banck@credativ.de>  Sun, 08 Jan 2023 20:14:49 +0100

vip-manager (1.0.2-4) unstable; urgency=medium

  * debian/patches/netip-port.patch: New patch, uses netip.Addr instead of
    net.IP, inline with the ARP module (Closes: #1026294).

 -- Michael Banck <michael.banck@credativ.de>  Wed, 04 Jan 2023 22:33:30 +0100

vip-manager (1.0.2-3) unstable; urgency=medium

  * Disable consul support, it's not in bookworm currently.
    (See #1017982)

 -- Christoph Berg <myon@debian.org>  Tue, 22 Nov 2022 15:05:53 +0100

vip-manager (1.0.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * Fix interface detection in namespaced environments.

 -- Christoph Berg <myon@debian.org>  Thu, 25 Aug 2022 16:25:43 +0200

vip-manager (1.0.2-1) unstable; urgency=medium

  * New upstream point release.

  [ Michael Banck ]
  * debian/patches/behaviour_test.patch: Updated.
  * debian/patches/select_valid_net_device.patch: Removed, no longer needed.

  [ Christoph Berg ]
  * vip.in: Remove unused VIP_INTERFACE variable.

 -- Michael Banck <michael.banck@credativ.de>  Tue, 17 May 2022 22:24:11 +0200
