=== debian/control ===
--- 
+++ 
@@ -2,23 +2,26 @@
 Section: net
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <michael.banck@credativ.de>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-golang,
  golang-any,
  golang-etcd-server-dev,
  golang-github-coreos-go-semver-dev,
- golang-github-hashicorp-consul-dev,
+# golang-github-hashicorp-consul-dev,
  golang-github-json-iterator-go-dev,
+ golang-github-mdlayher-arp-dev,
  golang-github-mitchellh-go-homedir-dev,
  golang-github-modern-go-concurrent-dev,
  golang-github-modern-go-reflect2-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
  golang-gopkg-yaml.v2-dev
-Standards-Version: 4.3.0
-X-Python3-Version: >= 3.5
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://github.com/cybertec-postgresql/vip-manager
 Vcs-Browser: https://salsa.debian.org/postgresql/vip-manager
 Vcs-Git: https://salsa.debian.org/postgresql/vip-manager.git
@@ -28,6 +31,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: patroni
+Built-Using: ${misc:Built-Using}
 Description: Patroni virtual IP manager
  This package needs to be installed and configured on all nodes of a Patroni
  PostgreSQL cluster. Given a Patroni namespace and scope in etcd or consul,
