=== debian/tests/control ===
Depends:
 @,
 curl,
 etcd-server,
 iproute2,
 jq,
 ncat
Tests: test
Restrictions: needs-root, allow-stderr
